Zum Hauptinhalt springen
GET
/
customers
/
{customerId}
/
email-addresses
cURL
curl -X GET \
 /customers/{customerId}/email-addresses \
 --header "Authorization: Bearer <token>"
{
  "data": [
    {
      "email": "john.doe@example.com",
      "receiverName": "John Doe",
      "type": "TYPE_COMPANY",
      "id": "00000000-0000-0000-0000-000000000000",
      "default": "true"
    }
  ],
  "meta": {
    "pagination": {
      "totalItems": 123,
      "itemsPerPage": 123,
      "currentPage": 123,
      "lastPage": 123,
      "pageTotalItems": 123
    }
  }
}

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Pfadparameter

customerId
string
erforderlich

CustomerEmail identifier

Abfrageparameter

page
integer
Standard:1

The collection page number

limit
integer
Standard:30

The number of items per page

Erforderlicher Bereich: 0 <= x <= 100
type
string
type[]
string[]
default
boolean

Antwort

CustomerEmail collection

data
object[]
meta
object